import { Component, h, Prop } from '@stencil/core';
export class FooterFourth {
    render() {
        return (h("div", null,
            h("div", { class: "footer-title" }, this.footerFourth.title),
            h("div", { class: "footer-item" },
                h("ul", null,
                    h(FooterValue, { arr: this.footerFourth.links })))));
    }
    static get is() { return "footer-fourth"; }
    static get originalStyleUrls() { return {
        "$": ["footer-fourth.css"]
    }; }
    static get styleUrls() { return {
        "$": ["footer-fourth.css"]
    }; }
    static get properties() { return {
        "footerFourth": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0432\u0442\u043E\u0440\u043E\u0433\u043E \u0444\u0443\u0442\u0435\u0440\u0430"
            },
            "attribute": "footer-fourth",
            "reflect": false
        }
    }; }
}
const FooterValue = (props) => {
    return props.arr.map(item => {
        return h("footer-fourth-item", { arr: item });
    });
};
