import { Component, Event, h, Prop } from '@stencil/core';
export class FooterSecond {
    render() {
        return (h("div", null,
            h("div", { class: "footer-title" }, this.footerSecond.title),
            h("div", { class: "footer-item" },
                h("ul", null,
                    h(FooterValue, { arr: this.footerSecond.links })))));
    }
    static get is() { return "footer-second"; }
    static get originalStyleUrls() { return {
        "$": ["footer-second.css"]
    }; }
    static get styleUrls() { return {
        "$": ["footer-second.css"]
    }; }
    static get properties() { return {
        "footerSecond": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0432\u0442\u043E\u0440\u043E\u0433\u043E \u0444\u0443\u0442\u0435\u0440\u0430"
            },
            "attribute": "footer-second",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnMenu",
            "name": "clickOnMenu",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043D\u043E\u043F\u043A\u0435 \u0432 \u0444\u0443\u0442\u0435\u0440\u0435"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
const FooterValue = (props) => {
    return props.arr.map(item => {
        return h("footer-second-item", { arr: item });
    });
};
