import { Component, h } from "@stencil/core";
import { blogPost, banner, authors } from "../../utils/mock";
export class SSaqhanSecondPage {
    render() {
        return (h("div", null,
            h("s-saqhan-line-book", { banner: banner }),
            h("s-saqhan-quote-text", null),
            h("s-saqhan-author-info", { author: authors }),
            h("s-saqhan-new-blog", { blogPost: blogPost })));
    }
    static get is() { return "s-saqhan-second-page"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-second-page.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-second-page.css"]
    }; }
}
