import { r as registerInstance, c as createEvent, h } from './index-1c8952bd.js';

const footerSecondCss = ":host{display:block}";

const FooterSecond = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (h("div", null, h("div", { class: "footer-title" }, this.footerSecond.title), h("div", { class: "footer-item" }, h("ul", null, h(FooterValue, { arr: this.footerSecond.links })))));
    }
};
const FooterValue = (props) => {
    return props.arr.map(item => {
        return h("footer-second-item", { arr: item });
    });
};
FooterSecond.style = footerSecondCss;

export { FooterSecond as footer_second };
