import { r as registerInstance, c as createEvent, h } from './index-1c8952bd.js';

const footerThirdItemCss = ":host{display:block}";

const FooterThirdItem = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (h("li", null, h("span", { class: "foot-nav-link", onClick: () => this.clickOnMenu.emit(this.arr.name) }, this.arr.name)));
    }
};
FooterThirdItem.style = footerThirdItemCss;

export { FooterThirdItem as footer_third_item };
