import { r as registerInstance, h, H as Host } from './index-1c8952bd.js';

const popularBannerCss = ":host{display:block}";

const PopularBanner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, null, h("slot", null)));
    }
};
PopularBanner.style = popularBannerCss;

export { PopularBanner as popular_banner };
