import { r as registerInstance, h } from './index-1c8952bd.js';
import { N as NewsStore, j as breadCrumbs } from './mock-3fd17b47.js';

const sSaqhanItemNewsCss = ":host{display:block}";

const SSaqhanItemNews = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", null, h("s-saqhan-header-app", null), h("s-saqhan-bread-crumbs", { links: breadCrumbs }), h("s-saqhan-list-news", { news: NewsStore }), h("s-saqhan-app-footer", null)));
    }
};
SSaqhanItemNews.style = sSaqhanItemNewsCss;

export { SSaqhanItemNews as s_saqhan_item_news };
