import { r as registerInstance, h } from './index-1c8952bd.js';

const footerFourthCss = ":host{display:block}";

const FooterFourth = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", null, h("div", { class: "footer-title" }, this.footerFourth.title), h("div", { class: "footer-item" }, h("ul", null, h(FooterValue, { arr: this.footerFourth.links })))));
    }
};
const FooterValue = (props) => {
    return props.arr.map(item => {
        return h("footer-fourth-item", { arr: item });
    });
};
FooterFourth.style = footerFourthCss;

export { FooterFourth as footer_fourth };
