import { r as registerInstance, c as createEvent, h } from './index-1c8952bd.js';

const footerSecondItemCss = ":host{display:block}";

const FooterSecondItem = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (h("li", null, h("span", { class: "foot-nav-link", onClick: () => this.clickOnMenu.emit(this.arr.name) }, this.arr.name)));
    }
};
FooterSecondItem.style = footerSecondItemCss;

export { FooterSecondItem as footer_second_item };
